Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 353814 - sys-libs/glibc-2.13 prelinking new ldso causes binaries to segfault
Summary: sys-libs/glibc-2.13 prelinking new ldso causes binaries to segfault
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: AMD64 Linux
: High critical with 1 vote (vote)
Assignee: Gentoo Toolchain Maintainers
URL: http://sources.redhat.com/bugzilla/sh...
Whiteboard:
Keywords:
: 353909 (view as bug list)
Depends on:
Blocks: glibc-2.13
  Show dependency tree
 
Reported: 2011-02-06 04:34 UTC by Mike Lothian
Modified: 2011-03-10 08:47 UTC (History)
39 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Lothian 2011-02-06 04:34:17 UTC
Hi since upgrading glibc (and coreutils too) my machine became unusable and now won't boot

Every binary causes segfaults and now it won't go past loading init

My cflags were "-Os -march=native -pipe"

Reproducible: Always

Steps to Reproduce:
1. install glibc
2. apps won't start
3. hard reboot 
4. system won't start

Actual Results:  
system won't start

Expected Results:  
System is usable

Can't provide logs until I chroot in from a livecd
Comment 2 Mike Lothian 2011-02-06 04:43:47 UTC
It's a bad interaction between glibc 2.13 and prelink

I have to either undo the prelinking or downgrade glibc
Comment 3 Mike Lothian 2011-02-06 05:04:31 UTC
Used a livecd to boot into linux

Mounted my root to /mnt/gentoo

Then ran /mnt/gentoo/usr/sbin/prelink -u /mnt/gentoo/bin/bash

Chrooted in: chroot /mnt/gentoo /bin/bash

Then prelink -au

Unmerge prelink : emerge --unmerge prelink
Comment 4 Brendan Pike 2011-02-06 09:45:42 UTC
This is a nasty bug, I had both my server and workstation go down tonight because of it.

Both were easily fixed with the same instructions above.
Comment 5 Robert Cabrera 2011-02-06 10:25:14 UTC
Same here on my ~x86 laptop. After updating to glibc-2.13 I decided to rebuild my tool chain with it. In the middle of an emerge -euavND @system emerge crashed then bash itself crashed an I was unable to launch anything. I tried to reboot but all three of my kernels panicked. I'm writing this from my emergency windows partition.

Having read this thread I'm going to chroot back into my box with my rescue disk and uninstall prelink and attempt to recover my system. I'll post back with my results. In the meantime, this update needs to be fixed or hard masked ASAP before other users fall victim to this issue.
Comment 6 Mike Lothian 2011-02-06 10:27:50 UTC
I emailed the committer of the ebuild 6 hours ago, had a snooty response but the package still hasn't been masked or warnings flagged
Comment 7 Robert Cabrera 2011-02-06 13:30:42 UTC
After mucking around with this for several hours, I was finally able to chroot into my box unemerge prelink, then reboot back into my box (thanks Michael). It took me so long because I kept getting bash errors or bash segfaults while trying to chroot, until I did exactly as Micheal posted. There is definitely an issue with glibc-2.13 and prelink.

This package is a show stopper for anyone with prelink installed.

I will post a warning in the forums to others so they can avoid this mess.

Please fix this asap. TIA
Comment 8 Christophe Saout 2011-02-06 16:33:08 UTC
Just FYI: prelink messes up the "ld-2.13.so". Replacing that one with an un-prelinked one (or the one from a slightly older glibc) makes the issue go away (i.e. all other libraries can still be prelinked and everything works flawlessly)
Comment 9 Mike Lothian 2011-02-06 17:11:07 UTC
(In reply to comment #8)
> Just FYI: prelink messes up the "ld-2.13.so". Replacing that one with an
> un-prelinked one (or the one from a slightly older glibc) makes the issue go
> away (i.e. all other libraries can still be prelinked and everything works
> flawlessly)
> 

I should have explained that earlier. Yes you can downgrade glibc, but switching of prelinking is the easiest way to get your system back up. You can then mask the new glibc and switch it back on again

Just remember that portage runs prelink automatically once it's finished compiling something (or it did a few years ago anyway)

I wonder what's more beneficial prelinking or the new glibc
Comment 10 Mike Lothian 2011-02-06 17:22:39 UTC
Is it possible to add a blocker so this version can't be installed if prelink is installed

Perhaps putting !sys-devel/prelink in the DEPEND section

It could save people an awful lot of bother
Comment 11 SpanKY gentoo-dev 2011-02-06 17:38:11 UTC
no one has said what version of prelink exactly they're using, or provided `emerge --info` for that matter ...
Comment 12 Mike Lothian 2011-02-06 17:43:28 UTC
sys-devel/prelink-20101123 the lastest version in portage

Portage 2.2.0_alpha20 (default/linux/amd64/10.0/desktop/kde, gcc-4.5.2, glibc-2.13-r0, 2.6.38-rc3+ x86_64)
=================================================================
System uname: Linux-2.6.38-rc3+-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T7500_@_2.20GHz-with-gentoo-2.0.1
Timestamp of tree: Sun, 06 Feb 2011 17:30:01 +0000
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.7.1, 3.1.3
dev-util/cmake:      2.8.3-r1
sys-apps/baselayout: 2.0.1-r1
sys-apps/openrc:     0.7.0
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.68
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.21
sys-devel/gcc:       4.5.2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.4-r1
sys-devel/make:      3.82
virtual/os-headers:  2.6.36.1 (sys-kernel/linux-headers)
Repositories: gentoo DuPol multimedia bugfixes
Installed sets: 
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-Os -march=native -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-Os -march=native -pipe"
DISTDIR="/usr/portage/distfiles"                                                                                                                             
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"                                                                                                                              
FFLAGS=""                                                                                                                                                    
GENTOO_MIRRORS="http://gentoo.virginmedia.com/ http://gentoo.osuosl.org/ http://distfiles.gentoo.org"                                                        
LANG="en_GB.iso88591"                                                                                                                                        
LDFLAGS="-Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed"
LINGUAS="en_GB en"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/DuPol /var/lib/layman/multimedia /usr/local/portage/bugfixes"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac aacs acl acpi aio alltargets alsa amd64 amr auto-hinter berkdb bluetooth bluray branding bzip2 cairo cdinstall cdr chm cli connection-sharing consolekit cracklib crypt cups custom-cflags custom-cpuopts custom-optimization cxx dbus declarative desktopglobe development device-mapper dirac disk-partition djbfft dri dts dvd dvdr ebook embedded emboss encode eselect exif extensions external-ffmpeg extras fam ffmpeg ffmpeg-mt firefox flac fortran fts3 gdbm gdu gif gles glibc-omitfp gnutls gpm graphite gstreamer gtk hdri history iconv icu imagemagick inotify ipod irc ithreads jingle jpeg jpeg2k kde laptop lcdfilter lcms ldap libnotify libsamplerate lilo llvm llvm-gcc lm_sensors lto lzma lzo mad maps matroska mikmod mmx mmxext mng modules mp3 mp4 mpeg mplayer msn mudflap multilib musepack musicbrainz ncurses netmeeting network networkmanager nls nptl nptlonly nsplugin ntfs ntp ogg openal openexr opengl openmp optimized-qmake oscar pam pango passwordsave pcre pdf perl phonon pic plasma png policykit postproc ppds pppd projectm pulseaudio python qt qt3support qt4 rar raster rdesktop readline realtime rss rtmp samba schroedinger sdl secure-delete session shout smbsharemodes sndfile speex spell sse sse2 sse3 ssl ssse3 startup-notification svg sysfs syslog system-sqlite system-v8 tcpd templates theora threads threadsafe thumbnail tiff truetype udev udis86 unicode usb v4l v4l2 vcd vdpau vlc vnc vorbis vpx wav wavpack webdav webpresence wifi wmf x264 xcb xcomposite xine xml xorg xrender xscreensaver xulrunner xv xvid xvmc yahoo zip zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en_GB en" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 13 Robert Cabrera 2011-02-06 19:45:41 UTC
Sorry I didn't post back with the pertinent info sooner. I was up most of the night trying to deal with this and passed out and fell asleep after gaining access back to my system.

packages involved are sys-devel/prelink-20101123 and sys-libs/glibc-2.13.

I'm running ~x86 on my Centrino Laptop.

My emerge info:
Portage 2.2.0_alpha20 (default/linux/x86/10.0/desktop/kde, gcc-4.5.2, glibc-2.13-r0, 2.6.36-zen1 i686)
=================================================================
System uname: Linux-2.6.36-zen1-i686-Intel-R-_Pentium-R-_M_processor_2.26GHz-with-gentoo-2.0.1
Timestamp of tree: Sat, 05 Feb 2011 20:45:01 +0000
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.7.1, 3.1.3                                                                       
dev-util/cmake:      2.8.3-r1                                                                           
sys-apps/baselayout: 2.0.1-r1                                                                           
sys-apps/openrc:     0.7.0                                                                              
sys-apps/sandbox:    2.4                                                                                
sys-devel/autoconf:  2.13, 2.68                                                                         
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1                                                           
sys-devel/binutils:  2.21                                                                               
sys-devel/gcc:       4.5.2                                                                              
sys-devel/gcc-config: 1.4.1                                                                             
sys-devel/libtool:   2.4-r1                                                                             
sys-devel/make:      3.82                                                                               
virtual/os-headers:  2.6.36.1 (sys-kernel/linux-headers)                                                
Repositories: gentoo portage
Installed sets: 
ACCEPT_KEYWORDS="x86 ~x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/config/kdm /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0 /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/skel /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs collision-protect distlocks fixlafiles fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-march=native -O2 -pipe"
GENTOO_MIRRORS="http://gentoo.netnitco.net http://gentoo.osuosl.org/ http://gentoo.mirrors.tds.net/gentoo http://mirror.csclub.uwaterloo.ca/gentoo-distfiles/ http://gentoo.wetzlmayr.com/ http://osmirrors.cerias.purdue.edu/pub/gentoo/ http://www.cyberuse.com/gentoo/ http://gentoo.mirrors.hoobly.com/ ftp://gentoo.imj.fr/pub/gentoo/ http://130.59.10.35/ftp/mirror/gentoo/"
LANG="en_US.UTF-8"
LC_ALL=""
LDFLAGS="-Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed"
LINGUAS="en en_US"
MAKEOPTS="-j1 -s"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="S3TC X a52 aac aalib acl acpi addressbook alsa amr apm archive audiofile autoipd avahi bash-completion berkdb binary-drivers binfilter bittorrent bluetooth bonjour branding bzip2 cairo cdda cddb cdinstall cdio cdparanoia cdr chm cli clucene connection-sharing consolekit contrast cracklib crypt cups custom-cflags custom-cpuopts custom-optimization cxx dbus dc1394 dell designer-plugin desktopglobe dga dhcpcd dirac djvu dri drm dts dv dvb dvd dvdr ebook editor eix embedded emboss emovix enca encode exif extensions faac faad fam fat fbcon fbcondecor fbsplash ffmpeg firefox fits flac flash fortran ftp fuse gallium gcrypt gd gdbm gdu geolocation ggi gif gimp git glib glibc-omitfp gmm gmp gnutls google-gadgets gphoto2 gpm graphviz groupwise gsm gtk handbook httpd hyperestraier iconv id3tag ieee1394 imagemagick imlib indi inotify ipod ipv6 jabber jack java javascript jbig jce jingle joystick jpeg jpeg2k kate kde kerberos kig-scripting kipi konqueror ladspa lame laptop lastfm latex lcms ldap libass libcaca libnotify libproxy libsamplerate libtiger libv4l libv4l2 live lm_sensors lua lzma lzo mad matroska md5sum meanwhile mikmod mjpeg mmx mng modplug modules mozilla mp3 mp3tunes mp4 mpeg mplayer msn mtp mudflap musepack musicbrainz ncurses network networkmanager nls nova npp nptl nptlonly nsplugin ntfs nut offensive ogg openal openexr opengl openmp optimization optimized-qmake oscar otr pam pango pch pcmcia pcre pdf perl plasma pm-utils pmu png pnm policykit ppds ppp pppd pvr python python3 qalculate qt-faststart qt3support qt4 quicktime qwt radio raw rdp readline remote-access reports resolvconf rle rss rtmp rtsp samba sasl scanner schroedinger sdl sdl-image secure-delete semantic-desktop session shout skins skype slp smbclient sms sndfile solver sox speex spell sse sse2 ssl stable startup-notification stream strong-optimization subversion svg svga symlink sysfs system-sqlite taglib tcl tcpd teamarena templates tga themedesigner theora threads thumbnail tidy tiff timidity tremor truetype twolame udev unicode upnp usb v4l v4l2 vaapi vcd vcdx video vidix vlm vnc vorbis vpx watchdog wavpack webpresence wicd wifi win32codecs windeco winpopup wmf wpd wpg wps wxwidgets x264 x86 xanim xattr xcb xcomposite xine xinerama xml xorg xosd xulrunner xv xvid xvmc yahoo yv12 zeroconf zlib" ALSA_CARDS="intel8x0 intel8x0m" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev keyboard mouse synaptics joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US" RUBY_TARGETS="ruby18" SANE_BACKENDS="epson epson2" USERLAND="GNU" VIDEO_CARDS="radeon r300" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 14 Alex 2011-02-06 19:48:42 UTC
+1 on this bug, upgraded today, after prelink -afmR got problems

Portage 2.1.9.36 (default/linux/amd64/10.0/desktop/kde, gcc-4.4.5, glibc-2.13-r0, 2.6.35-gentoo-r2 x86_64)
=================================================================
System uname: Linux-2.6.35-gentoo-r2-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T5870_@_2.00GHz-with-gentoo-2.0.1
Timestamp of tree: Sat, 05 Feb 2011 21:30:01 +0000
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.6.6-r1, 2.7.1, 3.1.3
dev-util/cmake:      2.8.3-r1
sys-apps/baselayout: 2.0.1-r1
sys-apps/openrc:     0.7.0
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.68
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.21
sys-devel/gcc:       4.4.5, 4.5.2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.4-r1
sys-devel/make:      3.82
virtual/os-headers:  2.6.36.1 (sys-kernel/linux-headers)
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -mtune=generic -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=core2 -mtune=generic -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages metadata-transfer news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="ru_RU.utf8"
LC_ALL=""
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="ru en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi agent alsa amd64 atm bash-completion bluetooth branding bzip2 cairo cli consolekit cracklib crypt cscope css cups curl cxx dbus dri dts dvb dvd dvdr dvdread emboss encode enscript exif fam firefox flac foomaticdb fortran ftp gdbm gdu gif glut gnutls gpm gtk hal hddtemp iconv imagemagick imlib ipv6 jabber java jpeg kde lcms ldap libnotify lm_sensors mad mikmod mmx mng modules mp3 mp4 mpeg mudflap multilib ncurces ncurses nls nntp nptl nptlonly nsplugin ntl ogg openal openexr opengl openmp pam pango pcre pdf perl png policykit ppds pppd python qt3support qt4 quicktime readline samba scanner sdl session snmp spell sse sse2 ssl startup-notification subversion svg sysfs syslog tcl tcpd tiff truetype udev unicode usb vorbis wavpack wifi x264 xattr xcb xinerama xinetd xml xorg xulrunner xv xvid zlib" ALSA_CARDS="intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="ru en" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="vesa intel fbdev" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY

[vulzscht@vulzschtNB] [Вск Фев 06, 22:47:01] [1242][~ ]$ eix prelink
[I] sys-devel/prelink
     Available versions:  20100106 (~)20100714 (~)20101123
     Installed versions:  20101123(22:07:04 18.12.2010)
Comment 15 Erik Zeek 2011-02-06 22:33:51 UTC
Info as requested.  I uninstalled prelink, but it would have been:  
sys-devel/prelink-20101123

emerge --info glibc prelink
Portage 2.2.0_alpha20 (default/linux/amd64/10.0/desktop/kde, gcc-4.5.2, glibc-2.13-r0, 2.6.37-gentoo-fglrx x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.37-gentoo-fglrx-x86_64-AMD_Phenom-tm-_II_X6_1055T_Processor-with-gentoo-2.0.1
Timestamp of tree: Sun, 06 Feb 2011 21:45:01 +0000
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 3.1.4 [disabled]
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.7.1, 3.1.3
dev-util/ccache:     3.1.4
dev-util/cmake:      2.8.3-r1
sys-apps/baselayout: 2.0.1-r1
sys-apps/openrc:     0.7.0
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.68
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.21
sys-devel/gcc:       4.4.5, 4.5.2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.4-r1
sys-devel/make:      3.82
virtual/os-headers:  2.6.36.1 (sys-kernel/linux-headers)
Repositories: gentoo zeekec science sunrise portage-backup kde g-octave
Installed sets: 
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -mtune=amdfam10 -march=amdfam10 -O2 -mabm -msse4a"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb /var/spool/torque"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -mtune=amdfam10 -march=amdfam10 -O2 -mabm -msse4a"
DISTDIR="/gentoo/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going -j 3"
FEATURES="assume-digests binpkg-logs collision-protect distlocks fixlafiles fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict test test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe -mtune=amdfam10 -march=amdfam10 -O2 -mabm -msse4a"
GENTOO_MIRRORS="http://distfiles.gentoo.org  rsync://gd.tuwien.ac.at/opsys/linux/gentoo/  http://gentoo.bloodhost.ru/  http://distro.ibiblio.org/pub/linux/distributions/gentoo/  ftp://gentoo.mirror.dkm.cz/pub/gentoo/  ftp://mirror.neolabs.kz/gentoo/pub"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--sort-common -Wl,--enable-new-dtags -Wl,--hash-style=gnu"
MAKEOPTS="-j6 --load-average=18"
PKGDIR="/gentoo/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="-i"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/gentoo/tmp"
PORTDIR="/gentoo/portage"
PORTDIR_OVERLAY="/gentoo/local/portage /gentoo/local/layman/science /gentoo/local/layman/sunrise /gentoo/local/layman/portage-backup /gentoo/local/layman/kde /var/lib/g-octave"
SYNC="rsync://rsync.us.gentoo.org/gentoo-portage"
USE="16k_voice 256-color 32bit 3dnow 3dnowext 3ds 64bit R X Xaw3d a52 aac aacs aalib abiword accessibility acct ace acl acpi additions addressbook admin aften aim aio airplay akonadi alac alaw alisp all_sfx alltargets alsa amarok amd64 amr amrr analogtv ancient animgif ansi ant antlr ao apache2 apidocs applet archive arpack artworkextra aspell aspnet2 assistant astr async asyncns atm audacious audio audiofile audit auth authdaemond auto-completion automap automount autotrace avahi bash-completion bazaar bcmath bdf berkdb bineditor binfilter biysk bl blas blender blender-game blksha1 bloodsuckermaps bluetooth bonusscripts boo bookmarks boost bootchart bracketcompletion branding btrfs bugzilla builder bwscheduler bzip2 cairo cal3d calendar canna caps cblas-external ccache cdaudio cdda cddb cdf cdinstall cdio cdparanoia cdr cdrom cdsound cegui celt cgi cgns chaco chardet charmap checkpath chm chroot cipher-aes-128 cipher-aes-192 cipher-aes-256 cipher-blowfish cjk clamav cleartype cli client cln clucene clutter cmake collab colordiff colorpicker compress consolekit context contrast contrib cpio cppunit cracklib cron crypt css ctype cups curl curlwrappers custom-optimization cvs cvsgraph cxx d dap data dbus debug-utils debugger declarative dell demo deprecated designer designer-plugin desktopglobe detex development devhelp device-mapper dga dhcp dia dirac discard-path discouraged disk-partition djvu dmraid dns doc docbook doom doom1 doom2 doomsday dosbox dot downloadorder dri drmaa dtmf dts dv dvb dvd dvdnav dvdr dvi dvipdfm ebook editor eds eigen embedded emboss emf emovix enca encode enscript ethernet examples excel exceptions exif expat expoblending extensions extra extra-algorithms extra-cardsets extra-ciphers extra-phrases extra-tools extrafilters extras faac faad facedetect faillog fakevim fam fame fancy fastcgi fat fax fbcondecor fcgi festival ffmpeg fftw filter finger firefox firefox3 fits flac flatfile flickr fluidsynth fmod fontconfig fontforge fonts foomaticdb force-cgi-redirect fortran fortran95 fortune fpx freetts frei0r ftp fts3 fuse gadu galago games gcdmaster gd gdal gdbm gdu gensplash geoip geolocation geos gif gimp ginac git gkrellm glade glep gles glgd glib glibc-omitfp glitz glut gmail gmath gme gml gmm gmp gmtfull gmthigh gmtsuppl gmttria gnome gnome-print gnuplot gocr google-gadgets gopher gpac gpg gphoto2 gpm gps grace grammar graphics graphicsmagick graphite graphviz grass groupwise gs gsl gsm gstreamer gtk gtkhtml guile h224 h281 h323 handbook hash hbci hddtemp hdf hdf5 hesiod heterogeneous hexen hexenworld hfs high-ints highlight history hotpixels hou howl-compat html http httpd humanities hyphenation ical iconv icoutils icq icu id3 id3tag idb ide idea idn ieee1394 ignore-case image imagemagick imaging imap imlib inifile inkjar inotify iplayer ipv6 ipython irc isag ivr jabber jadetex jai java java6 javacomm javascript jbig jce jimi jit jmf john jpeg jpeg2k kate kde kdecards kdrive kerberos kig-scripting kipi konqueror kontact kpathsea kqemu kvm ladspa lame lapack largefile largeterminal lastfm latex latex3 lcdfilter lcms ldap ldb lensfun libass libburn libcaca libdsk libgda liblockfile libnotify libproxy libsamplerate libsexy libssh2 libtiger libv4l libv4l2 libvirtd libwww lightning lights live llvm lm_sensors lock log log4j log4p logrotate logviewer logwatch lto lua lua-cairo lua-imlib luatex lvm lvm2 lzma lzo mad mail maildir mailwrapper maps math mathml matplotlib matroska mayavi mbrola md5sum mdadm mdnsresponder-compat melt memmap mercurial metis mgetty mhash mikmod mime mixer mjpeg mktemp mmap mmx mmxext mng mod_python modplug modules moonlight mopac7 motif mozdom mozembed mozilla mp3 mp3tunes mp4 mpeg mpi mpi_njtree mplayer mpqc mtp mudflap multilib multimedia multiprocess multiuser musepack music musicbrainz mysql na_dd na_dtv na_icons nas nautilus ncurses neon net netcdf nethack netpbm network network-cron networking new-clx new-login nfs nls nntp nocd nodrm nosource nowin nowlistening npp nptl nptlonly nsplugin nspluginwrapper nss nsscache nssdb ntfs ntlm ntp numa numpy nut nuv objc ocrad octave odbcmanual odk ods offensive ofx ogdi ogg ogm okteta okular omega openal openbabel opencl openexr opengl openinventor openmp openssl opensslcrypt openstreetmap openxml optimization optimize-cflags optimized-qmake origin osc oscar osdmenu osgapps oss ots pager pam pango paranoidmsg parcheck parse-clocks parted passwdqc patch patented pbs pch pcntl pcre pdf perl phonon php phyp physfs pipe plasma player playlist plotutils plugins plutonia pmount png pnm policykit pop posix postfix postproc postscript ppds pppd print private-headers proj projectm psf pstricks pth publishers pvr pylint python q32 q8 qalculate qemu qemu-ifup qhull qimageblitz qml qos qscintilla qt-dbus qt-faststart qt-webkit qt3support qt4 qthelp qtscript quicktime quota quotes qwt radio rar raw rc5 rcs rdesktop readline redeyes regex remix remote remoteosd reports resources reviewboard rfc3779 rle rogue romio root rpc rpm rrdcgi rrdtool rss rtc rtf rtmp rtsp samba sasl sbcl scale0tilt scanfolder scanner schroedinger science scintilla scipy screen script scripting sdk sdl sdl-image search secure-delete semantic-desktop sensord server session sftp sha512 shaders shadow sharedext shine shm shmvideo shorten shout sigsegv sip sipim skins skype slp smbclient smbsharemodes smime smp sms smtp sndfile snmp soap sockets socks socks5 solver songs sou sound soundex sounds soup sox spamassassin sparse speech speex spell sql sqlite sqlite3 srt srtp sse sse2 sse3 sse4a ssh ssl stars startup-notification statistics stats stlport stream subject-rewrite subtitles subversion suexec suid svg swat symlink sysfs syslog system-sqlite systemtap sysvipc szip t1lib taamey taglib tcl tcpd templates tesseract tex4ht textures tga themedesigner themes theora thesaurus threads threadsafe thumbnail tidy tiff timezone timidity tk tntc tokenizer tomsfastmath toolbar tools track-src-odirect traits transcode translator truetype tts tv tv_check tv_combiner tv_pick_cgi tvtime twolame type3 udev udev-acl udis86 umfpack uml unicode unlock-notify unzip upnp urandom urlpicpreview usb userlocales userpriv utempter utils uudeview uuid v4l v4l2 vamp vboxwebsrv vcd vcdx vde vdr video videos vim vim-pager vim-syntax virtualbox vlm vnc voice vorbis vpx vserver vxml wav wavpack wcs weather web webcam webdav webdav-neon webdav-serf webinterface webkit webpresence websockets wide-unicode wifi wikipedia windeco wineappdb wininst winpopup wma wma-fixed wmf wordperfect wpd wpg wv2 wxwidgets x264 xanim xattr xcap xcb xcomposite xerces-c xetex xext xface xfce xforms xforward xft xhtml xine xinerama xinetd xls xml xmlpatterns xmlreader xmlrpc xmlwriter xmp xmpi xorg xosd xplanet xpm xrandr xrender xscreensaver xsettings xsl xslt xtended xterm xterm-color xtom xulrunner xv xvid xvmc yaepg yahoo yv12 zeroconf zip zlib zoran zsh-completion zvbi" ALSA_CARDS="intel8x0 intel8x0m pxa2xx-ac97 hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias cgi cgid" CAMERAS="canon" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog apache cpu cpufreq disk entropy fscache hddtemp iptables logfile mbmon network python sensors thermal users uuid write_http" DVB_CARDS="af9005 bcm3510 cx18 cx231xx cx23885 mpc718 nxt200x sp8870 sp887x" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" PHP_TARGETS="php5-3" QEMU_SOFTMMU_TARGETS="i386 ppc ppc64 x86_64" QEMU_USER_TARGETS="i386 ppc ppc64 ppc64abi32 x86_64" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="radeon fglrx" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS

=================================================================
                        Package Settings
=================================================================

sys-libs/glibc-2.13 was built with the following:
USE="gd glibc-omitfp (multilib) nls test -debug (-hardened) -profile (-selinux) -vanilla"
CFLAGS="-pipe -mtune=amdfam10 -O2 -fno-strict-aliasing"
CXXFLAGS="-pipe -mtune=amdfam10 -O2 -fno-strict-aliasing"
Comment 16 tman 2011-02-07 00:27:10 UTC
i hope this bug get rip soon. my system has also alot of problems.
Comment 17 Robert Cabrera 2011-02-07 00:38:29 UTC
I've tried to change under hardware from AMD64 to ALL since it obviously effects more than 64bit systems (I run ~x86). But when I tried to change the button I received a warning that I didn't have enough privileges to make this change.

Devs, please be aware that this bug is affecting more than just 64bit systems as it's hitting x86 too. TIA
Comment 18 Marc Burkhardt 2011-02-07 05:14:47 UTC
Damn, guys, glibc still isn't masked with an appropriate comment. This is a serious show stopper and needs to be kept back from people ruining their machines!
Comment 19 Marc Burkhardt 2011-02-07 05:15:03 UTC
*** Bug 353909 has been marked as a duplicate of this bug. ***
Comment 20 Marc Burkhardt 2011-02-07 06:09:17 UTC
Question: why isn't downgrading glibc 2.13 to 2.12.1 known to break the machine? I don't see the problem. portage generally denies downgrading. It's OK for a 2.13 to 2.7 downgrade maybe and I think that what portage wants to protect me from, right?
Comment 21 Mike Lothian 2011-02-07 06:11:25 UTC
Downgrading is only risky is other things have been compiled and rely on new features

According to the NEWS file, there's only two new interfaces and I doubt anything is using them yet
Comment 22 Mike Lothian 2011-02-07 06:18:41 UTC
I've already suggested a solution to prevent glibc being installed when prelink is, which would mean glibc not requiring masks. I'm guessing Mike Frysinger AKA SpanKY doesn't care that people are hosing there systems unnecessarily 
Comment 23 Andrey Grozin gentoo-dev 2011-02-07 10:54:37 UTC
After upgrade to glibc-2.13, skype segfaults immediately when started. Is this the same problem?

Is it possible, in any way, to downgrade glibc (and, if necessary, all the packages which were upgraded during this night)? I need skype urgently, my wife is very worried. Higher computer stuff can wait.
Comment 24 Janusz 2011-02-07 11:16:54 UTC
(In reply to comment #23)
> After upgrade to glibc-2.13, skype segfaults immediately when started. Is this
> the same problem?
> 
> Is it possible, in any way, to downgrade glibc (and, if necessary, all the
> packages which were upgraded during this night)? I need skype urgently, my wife
> is very worried. Higher computer stuff can wait.
> 

Chill out!

http://code.google.com/p/skype4pidgin/

;-)
Comment 25 Mike Lothian 2011-02-07 11:21:03 UTC
It will probably be a different issue to this if you're not using prelink

You're probably best to start skype from a teminal so you can see the back trace when it fails

Put that output as well as emerge --info details into a new bug

If you are using prelink, try un-prelinking everything and trying again
Comment 26 Thomas Capricelli 2011-02-07 14:19:33 UTC
take care if you have intel compiler (icc) installed : it provides a binary called 'prelink' in the path.
Comment 27 Robert Coffree 2011-02-07 16:52:43 UTC
I don't think that prelinking is automatic, but rather it is installed as a cronjob thingy or something.

Funny thing was, everything was fine today, until I ran prelink and then tried to shut down. And I was thinking that it was a btrfs problem. 
Comment 28 Andrian Nord 2011-02-07 18:46:32 UTC
Seems to affect only prelink -R installations. Steps to reproduce:

1. prelink -mvRf /usr/bin/xterm
2. xterm
3. ... enjoy segfault ...
4. prelink -mvf /usr/bin/xterm
5. xterm

Portage 2.2.0_alpha20 (default/linux/amd64/10.0/desktop, gcc-4.5.2, glibc-2.13-r0, 2.6.37-gentoo-nord-oss-2.17 x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.37-gentoo-nord-oss-2.17-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T6600_@_2.20GHz-with-gentoo-2.0.1
Timestamp of tree: Sat, 05 Feb 2011 23:15:01 +0000
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11-r3
dev-lang/python:     2.6.6-r1, 3.1.3
dev-util/cmake:      2.8.3-r1
sys-apps/baselayout: 2.0.1-r1
sys-apps/openrc:     0.7.0
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.68
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.21
sys-devel/gcc:       4.4.5, 4.5.2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.4-r1
sys-devel/make:      3.82
virtual/os-headers:  2.6.36.1 (sys-kernel/linux-headers)
Repositories: gentoo rion enlightenment-niifaq niifaq sunrise x11 vmware gamerlay-stable java-overlay kde-sunset local
Installed sets: @enlightenment-all
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native -mtune=native -msse4.1 -floop-interchange -floop-strip-mine -floop-block"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe -march=native -mtune=native -msse4.1 -floop-interchange -floop-strip-mine -floop-block"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going --jobs=2"
FEATURES="assume-digests binpkg-logs candy distlocks fixlafiles fixpackages metadata-transfer news parallel-fetch preserve-libs protect-owned sandbox sfperms split-log splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="ru_RU.UTF-8"
LC_ALL=""
LDFLAGS="-Wl,--as-needed -Wl,--sort-common -Wl,-O1 -Wl,--hash-style=gnu"
LINGUAS="ru"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/rion /var/lib/layman/enlightenment-niifaq /var/lib/layman/niifaq /var/lib/layman/sunrise /var/lib/layman/x11 /var/lib/layman/vmware /var/lib/layman/gamerlay /var/lib/layman/java-overlay /var/lib/layman/kde-sunset /usr/local/portage"
SYNC="rsync://rsync.niifaq.ru/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdr cli consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr emboss encode exif fam firefox flac fortran gdbm gdu gif gpm iconv idn ipv6 jpeg lcms ldap libnotify mad mikmod mmx mng modules mp3 mp4 mpeg mudflap multilib ncurses networkmanager nls nptl nptlonly ogg opengl openmp pam pango pcre pdf perl png policykit ppds pppd python qt3support qt4 readline sdl session spell sse sse2 ssl ssse3 startup-notification svg sysfs tcpd threads tiff truetype udev unicode usb vim vim-syntax vorbis x264 xcb xcomposite xml xorg xulrunner xv xvid zlib zsh-completion" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="adc65 agfa_cl20 aox ax203 barbie canon casio_qv clicksmart310 digigr8 digita dimagev dimera3500 directory enigma13 fuji gsmart300 hp215 iclick jamcam jd11 jl2005a jl2005c kodak_dc120 kodak_dc210 kodak_dc240 kodak_dc3200 kodak_ez200 konica konica_qm150 largan lg_gsm mars mustek panasonic_coolshot panasonic_dc1000 panasonic_dc1580 panasonic_l859 pccam300 pccam600 polaroid_pdc320 polaroid_pdc640 polaroid_pdc700 ptp2 ricoh ricoh_g3 samsung sierra sipix_blink sipix_blink2 sipix_web2 smal sonix sony_dscf1 sony_dscf55 soundvision spca50x sq905 st2205 stv0674 stv0680 sx330z template topfield toshiba_pdrm11" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="ru" NETBEANS_MODULES="apisupport harness ide nb cnd enterprise java dlight ergonomics identity profiler websvccommon" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" SANE_BACKENDS="net" USERLAND="GNU" VIDEO_CARDS="radeon r600" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

sys-devel/prelink-20101123 was built with the following:
USE="(multilib)"
CFLAGS="-O2 -pipe -march=native -mtune=native -msse4.1 -floop-interchange -floop-strip-mine -floop-block -Wno-pointer-sign"

sys-libs/glibc-2.13 was built with the following:
USE="debug (multilib) nls -gd -glibc-omitfp (-hardened) -profile (-selinux) -vanilla"
CFLAGS="-pipe -mtune=native -ggdb -ggdb -O2 -fno-strict-aliasing"
CXXFLAGS="-pipe -mtune=native -ggdb -ggdb -O2 -fno-strict-aliasing"
Comment 29 Robert Coffree 2011-02-07 19:02:12 UTC
Happened to me with prelink -am. but I am not going to reproduce as this breaks init. 

Didn't elfutils change recently also?  Perhaps it is prelink/elf related?
Comment 30 Samuli Suominen gentoo-dev 2011-02-07 19:19:18 UTC
glibc-2.13 will abort if prelink is installed now:

http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-libs/glibc/glibc-2.13.ebuild?r1=1.2&r2=1.3
Comment 31 Piotr 2011-02-07 20:46:01 UTC
Isn't it enough to do:
prelink -u /lib32/ld-2.13.so
prelink -u /lib64/ld-2.13.so
and block prelinking of those files in prelink config file?
Comment 32 Ryan Hill (RETIRED) gentoo-dev 2011-02-07 21:33:43 UTC
Yeah I'm rebuilding my system now.
Comment 33 SpanKY gentoo-dev 2011-02-07 21:43:43 UTC
glibc cannot be masked once unmasked for obvious reasons.  skype failing is unrelated to this bug and most likely is a bug in skype itself; search bugzilla for the relevant bug.

skype4pidgin still needs the skype binaries, so if the bug lies in core skype code, that addon wont help.

and no, i dont particularly care about prelink.  it breaks too often to be useful to me.  the current blocker is incorrect ... it should be checking for FEATURES=prelink-checksums and not simply that prelink is installed.
Comment 34 Ryan Hill (RETIRED) gentoo-dev 2011-02-07 21:58:21 UTC
No, prelink has a cron job that's run if PRELINKING="yes" in /etc/conf.d/prelink.

This will kill everything when run.
Comment 35 Ryan Hill (RETIRED) gentoo-dev 2011-02-07 22:03:21 UTC
ie. the current blocker is needed right now.  i'm untrashing my system at the moment and i have nothing related to prelink in FEATURES.
Comment 36 Paul DuBois 2011-02-07 23:48:12 UTC
Most comments seem to indicate this has to do with prelink, but I don't have prelink installed and I see problems. Specifically, postfix cannot fully process mail, some problem with getrlimit failing:

Feb  7 20:14:17 arctic postfix/postdrop[10289]: fatal: getrlimit: Operation not permitted
Feb  7 14:14:19 arctic postfix/sendmail[10288]: warning: command "/usr/sbin/postdrop -r" exited with status 1
Feb  7 14:14:19 arctic postfix/sendmail[10288]: fatal: paul(1000): unable to execute /usr/sbin/postdrop -r: Success

I also see problems with "local":

Feb  7 14:15:07 arctic postfix/local[10320]: fatal: unable to determine open file limit
Feb  7 14:15:08 arctic postfix/master[10244]: warning: process //usr/lib/postfix/local pid 10320 exit status 1
Feb  7 14:15:08 arctic postfix/master[10244]: warning: //usr/lib/postfix/local: bad command startup -- throttling

Mail is accepted, mailq shows many waiting to be delivered.
Comment 37 Ryan Hill (RETIRED) gentoo-dev 2011-02-07 23:53:20 UTC
Hey, that sounds like a different bug!
Comment 38 SpanKY gentoo-dev 2011-02-08 05:05:56 UTC
that prelink setting is not the default.  it's trivial to check the conf.d settings that the user has.
Comment 39 Ryan Hill (RETIRED) gentoo-dev 2011-02-08 05:25:10 UTC
True, but that doesn't prevent the user from running it themselves (several have).  Considering we're talking about complete system borkage we should be conservative.  We could make it a dependency blocker instead if you like.

The archlinux guys have mailed Jakub about this so it should be temporary.

https://bugs.archlinux.org/task/22656
Comment 40 Samuli Suominen gentoo-dev 2011-02-08 07:35:13 UTC
(In reply to comment #39)
> True, but that doesn't prevent the user from running it themselves (several
> have).  Considering we're talking about complete system borkage we should be
> conservative.  We could make it a dependency blocker instead if you like.

Yeah...

I was thinking more of changing has_version sys-devel/prelink to $(type -P prelink) for Comment #26 since it's not enough that sys-devel/prelink is uninstalled, but it shouldn't be in $PATH either from another package.

The whole ICC mess in portage seems like a major QA issue bundle :-(
Comment 41 Christian 2011-02-09 08:03:57 UTC
Why unistall prelink?
Why not add this to /etc/env.d:
PRELINK_PATH_MASK="/lib32/ld-2.13.so:/lib64/ld-2.13.so"
Comment 42 Marc Burkhardt 2011-02-09 08:10:23 UTC
'masking' the file makes prelink not prelink anything as ld-2-13.so is actually used in _any_ binary. It prevents the bug from happen but makes prelink useless as well.
Comment 43 Christian 2011-02-09 21:44:14 UTC
oh, ok that's a good reason, but why?
when i replace prelinked ld-2.13.so with non-prelinked, everything is fine (from my point of view). why doesn't prelink do that?
Comment 44 Marc Burkhardt 2011-02-10 09:06:00 UTC
(In reply to comment #43)
> oh, ok that's a good reason, but why?
> when i replace prelinked ld-2.13.so with non-prelinked, everything is fine
> (from my point of view). why doesn't prelink do that?
> 

This is just a 'dirty' workaround though it's possibly working. I rather drop any prelinking in favor of having a running box. Lucky man, boxes are fast today...
Comment 45 SpanKY gentoo-dev 2011-02-14 04:46:59 UTC
only some binaries segfault on my system (ccache/gcc-config/gcc).  many of the important ones (coreutils) run fine.  just lucky i guess.

using git bisect from glibc-2.12 tag to glibc-2.13 shows the trouble starts around commit bc5fb0374c3ce6eca92f44d13a55b066e707c4a0 (Don't try to free rpath strings allocated during startup).  and indeed, if i take current master (edf9294e7a2cd46b050faf2d270d28ff477f6c5e) and revert that one commit, things still work fine.  same goes for taking glibc-2.13 and reverting that one change.

full bisect log:
# bad: [6392473fe970b0cdace62f31000a83ba0fcf6161] 2.13 release
# good: [e28c88707ef0529593fccedf1a94c3fce3df0ef3] Prepare for release.
git bisect start 'glibc-2.13' 'glibc-2.12'
# good: [c96d23fcaa7072bb9e7669957c90b09dddfd9161] Fixup x86 after x86-64 varshift change.
git bisect good c96d23fcaa7072bb9e7669957c90b09dddfd9161
# good: [c96d23fcaa7072bb9e7669957c90b09dddfd9161] Fixup x86 after x86-64 varshift change.
git bisect good c96d23fcaa7072bb9e7669957c90b09dddfd9161
# bad: [fdc0f374bcd2d0513569aa8d600f960e43e8af1d] Fix perturbing in malloc on free.
git bisect bad fdc0f374bcd2d0513569aa8d600f960e43e8af1d
# bad: [91c42559190f59c6c4b3cb0b7f5c9bb11dd28161] powerpc: Use generic memset for RTLD for ppc32/64
git bisect bad 91c42559190f59c6c4b3cb0b7f5c9bb11dd28161
# good: [e66e7419a6f58200eec6941b14e2dcff9875cc6c] Actually make it possible to user the default name server.
git bisect good e66e7419a6f58200eec6941b14e2dcff9875cc6c
# bad: [dda51327baa01c8e5c188a9952317396bb5569b1] Undo feature selection for ftruncate.
git bisect bad dda51327baa01c8e5c188a9952317396bb5569b1
# bad: [8ffcee4a049b244e369e371536486a9b2eabb25f] Fix limit detection in x86-64 SSE2 strncasecmp.
git bisect bad 8ffcee4a049b244e369e371536486a9b2eabb25f
# bad: [7291c56f9d6f5861d1c001bc63a364f047a74738] Fix register conflict in s390 ____longjmp_chk
git bisect bad 7291c56f9d6f5861d1c001bc63a364f047a74738
# bad: [bc5fb0374c3ce6eca92f44d13a55b066e707c4a0] Don't try to free rpath strings allocated during startup
git bisect bad bc5fb0374c3ce6eca92f44d13a55b066e707c4a0

the simple test script i was using (probably should automate this with `git bisect run`, but oh well):
rm -rf chroot
mkdir chroot
cd chroot
mkdir lib etc bin
ln -s lib lib64
cp /usr/bin/gcc `which prelink` bin
cp /etc/prelink.conf etc
cp ../lib*.so.? lib/
cp ../elf/ld.so lib/ld-linux-x86-64.so.2
sudo chroot . prelink -a
sudo chroot . gcc

if gcc crashes, the current build sucks

http://sourceware.org/git/?p=glibc.git;a=commit;h=bc5fb0374c3ce6eca92f44d13a55b066e707c4a0
Comment 46 Marc Burkhardt 2011-02-14 13:24:54 UTC
(In reply to comment #30)
> glibc-2.13 will abort if prelink is installed now:
> 
> http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-libs/glibc/glibc-2.13.ebuild?r1=1.2&r2=1.3
> 

Let's assume ...

a) user has no prelink installed
b) user updates glibc (no warnning shown that he/she could even keep in mind)
c) user installes prelink then
d) user prelinks...

This workaround seems just messy.

We need to mask prelink-* vs. glibc-2.13 or the user will burn down the machine easily by just not knowing of any damage that's about to come when he's not subscribed to this bug. Besides ArchLinux and Gentoo there's no real talk about it...
Comment 47 Zeev Tarantov 2011-02-14 15:40:17 UTC
If the patch to glibc suggested in redhat's bugzilla works, then gentoo should just bump the glibc revision and no complex workarounds are needed.
Comment 48 SpanKY gentoo-dev 2011-02-14 17:02:49 UTC
Marc: highly unlikely to bite anyone.  and for the few it does, oh well.

Zeev: if you have nothing useful to add, sit there quietly and wait for people doing actual work to get things done.
Comment 49 Mike Lothian 2011-02-14 17:22:48 UTC
SpanKY I think you really need an attitude adjustment

It isn't acceptable to allow people to hose there systems when a fix would be so simple

All that would be required is a check in the prelink ebuilds for glibc 2.13

"Oh well" shouldn't be a part of any QA mantra
Comment 50 SpanKY gentoo-dev 2011-02-14 17:47:28 UTC
we get enough people complaining that things are broken.  unless you're actively contributing to a fix (such as debugging/testing), then you need to sit quietly and wait for other people doing actual work to finish things.  neither of you fall into the latter category.
Comment 51 SpanKY gentoo-dev 2011-02-14 18:03:44 UTC
fixed with glibc-2.13-r1
Comment 52 water 2011-02-15 17:54:45 UTC
I find there is a new sys-libs/glibc-2.13-r1 update .
Is here any one who try this with prelink ? 
Thanks a lot !
Comment 53 P Nienaber 2011-02-19 03:35:09 UTC
It should be noted that this also appears to severely break systems with just about anything built statically on them.  Specifically, there are many things that can be built "statically" but still go wandering off and use dlopen directly and then implode.  ld.so is not the only route to this pitfall.  Are there still GRP packages online somewhere so I can dig my way out of this one?
Comment 54 SpanKY gentoo-dev 2011-02-19 18:10:40 UTC
new issue -> new bug.  you dont pick random bugs to post unrelated info to.
Comment 55 Stefan Behte (RETIRED) gentoo-dev Security 2011-03-10 08:47:10 UTC
*** Bug 358183 has been marked as a duplicate of this bug. ***